ConversationsFields
List all conversation fields
Retrieve a list of all conversation fields
AuthorizationBearer <token>
In: header
Query Parameters
starting_after?string
Cursor for pagination
per_page?integer
Number of fields to return
Default
25Range
1 <= value <= 100is_active?boolean
Filter by active status
is_default?boolean
Filter by default fields
Response Body
application/json
application/json
curl -X GET "https://app.sparrowdesk.com/v1/conversations/fields"{
"data": [
{
"id": 102,
"name": "Priority Level",
"internal_name": "priority_level",
"type": "dropdown",
"description": "Priority level for tickets",
"is_active": true,
"is_default": false,
"is_mandatory_on_close": true,
"field_options": [
{
"id": 1,
"name": "Low",
"position": 1
}
],
"created_at": 1672531200,
"updated_at": 1672535400
}
]
}{
"error": {
"message": "Error while fetching conversation field"
}
}